import re

if re.search('^3.4', casadef.casa_version) == None:
 sys.exit('ERROR: PLEASE USE THE SAME VERSION OF CASA THAT YOU USED FOR GENERATING THE SCRIPT: 3.4')


print "# Flux calibration of the data."

os.system('rm -rf uid___A002_X552607_Xa39.ms.split.cal') 
split(vis = 'uid___A002_X552607_Xa39.ms.split',
  outputvis = 'uid___A002_X552607_Xa39.ms.split.cal',
  datacolumn = 'corrected',
  keepflags = T)

#                                     "J1147-6753s4"     0     347.33      0.76248      0.76248       2012-11-18T14:13:44          uid___A002_X552607_Xa39.ms.split
#                                     "J1147-6753s4"     1     347.00      0.73534      0.73534       2012-11-18T14:13:44          uid___A002_X552607_Xa39.ms.split
#                                     "J1147-6753s4"     2     344.31      0.74488      0.74488       2012-11-18T14:13:44          uid___A002_X552607_Xa39.ms.split
#                                     "J1147-6753s4"     3     345.80      0.75405      0.75405       2012-11-18T14:13:44          uid___A002_X552607_Xa39.ms.split

setjy(vis = 'uid___A002_X552607_Xa39.ms.split.cal',
  field = 'J1147-6753s4',
  spw = '0',
  fluxdensity = [0.76248, 0, 0, 0])

setjy(vis = 'uid___A002_X552607_Xa39.ms.split.cal',
  field = 'J1147-6753s4',
  spw = '1',
  fluxdensity = [0.73534, 0, 0, 0])

setjy(vis = 'uid___A002_X552607_Xa39.ms.split.cal',
  field = 'J1147-6753s4',
  spw = '2',
  fluxdensity = [0.74488, 0, 0, 0])

setjy(vis = 'uid___A002_X552607_Xa39.ms.split.cal',
  field = 'J1147-6753s4',
  spw = '3',
  fluxdensity = [0.75405, 0, 0, 0])

os.system('rm -rf uid___A002_X552607_Xa39.ms.split.cal.ampli_inf') 
gaincal(vis = 'uid___A002_X552607_Xa39.ms.split.cal',
  caltable = 'uid___A002_X552607_Xa39.ms.split.cal.ampli_inf',
  field = 'J1147-6753s4',
  solint = 'inf',
  combine = 'scan',
  refant = 'DV04',
  gaintype = 'T',
  calmode = 'ap')

applycal(vis = 'uid___A002_X552607_Xa39.ms.split.cal',
  field = '3,4', # J1147-6753s4,HD 100546
  gaintable = 'uid___A002_X552607_Xa39.ms.split.cal.ampli_inf',
  gainfield = '3', # J1147-6753s4
  calwt = F,
  flagbackup = F)


