import re

if re.search('^3.4', casadef.casa_version) == None:
 sys.exit('ERROR: PLEASE USE THE SAME VERSION OF CASA THAT YOU USED FOR GENERATING THE SCRIPT: 3.4')


print "# Running clean."

# You have not specified a source Id, I will assume you want to clean the science target(s).

clean(vis = 'uid___A002_X552607_Xa39.ms.split.cal',
  imagename = 'continuum.dirty',
  field = '4', # HD 100546
  spw = '0:0~1850;2200~3839,1:0~1850;2200~3839,2:0~1950;2200~3839,3:0~1900;2200~3839',
  mode = 'mfs',
  interactive = F,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 4,
  weighting = 'briggs',
  robust = 0.5, mask=[115,115,145,145],
  niter=0)

clean(vis = 'uid___A002_X552607_Xa39.ms.split.cal',
  imagename = 'continuum.clean',
  field = '4', # HD 100546
  spw = '0:0~1850;2200~3839,1:0~1850;2200~3839,2:0~1950;2200~3839,3:0~1900;2200~3839',
  mode = 'mfs',
  interactive = F,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 4,
  weighting = 'briggs',
  robust = 0.5,niter=20000,threshold='15mJy',mask=[115,115,145,145])
#beam=0.9"x0.4" ;rms = 4.2 mJy/beam

clean(vis = 'uid___A002_X552607_Xa39.ms.split.cal',
  imagename = 'CO32.clean',
  field = '4', # HD 100546
  spw = '3',
  mode = 'channel',
  nchan = 400,
  start = 1900,
  width = 1,
  interpolation = 'nearest',
  interactive = T,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 4,
  weighting = 'briggs',
  robust = 0.5,niter=30000,threshold='60mJy',mask=[95,95,165,165])

uvcontsub(vis='uid___A002_X552607_Xa39.ms.split.cal',fitspw='3:0~1800;2400~3839',fitorder=1,combine='',field='4',spw='3')
mv uid___A002_X552607_Xa39.ms.split.cal.contsub uid___A002_X552607_Xa39.ms.split.cal.contsub.spw3.source4


clean(vis = 'uid___A002_X552607_Xa39.ms.split.cal.contsub.spw3.source4',
  imagename = 'CO32.clean.contsub',
  field = '0', # HD 100546
  spw = '0',
  mode = 'channel',
  nchan = 400,
  start = 1900,
  width = 1,
  interpolation = 'nearest',
  interactive = F,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 0,
  weighting = 'briggs',
  robust = 0.5,niter=30000,threshold='50mJy',mask=[95,95,165,165])
#rms = 19.3 mJy/b
#beam = 0.9" x 0.4" 


clean(vis = 'uid___A002_X552607_Xa39.ms.split.cal',
  imagename = 'SiO87.clean',
  field = '4', # HD 100546
  spw = '0',
  mode = 'channel',
  nchan = 300,
  start = 1900,
  width = 1,
  interpolation = 'nearest',
  interactive = F,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 4,
  weighting = 'briggs',
  robust = 0.5,niter=20000,threshold='50mJy',mask=[95,95,165,165])

uvcontsub(vis='uid___A002_X552607_Xa39.ms.split.cal',fitspw='0:0~1650;2500~3839',fitorder=1,combine='',field='4',spw='0')
mv uid___A002_X552607_Xa39.ms.split.cal.contsub uid___A002_X552607_Xa39.ms.split.cal.contsub.spw0.source4


clean(vis = 'uid___A002_X552607_Xa39.ms.split.cal.contsub.spw0.source4',
  imagename = 'SiO87.clean.contsub',
  field = '0', # HD 100546
  spw = '0',
  mode = 'channel',
  nchan = 300,
  start = 1900,
  width = 1,
  interpolation = 'nearest',
  interactive = F,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 0,
  weighting = 'briggs',
  robust = 0.5,niter=20000,threshold='50mJy',mask=[95,95,165,165])
#rms = 19.0 mJy/b
#beam = 0.95" x 0.43" 

clean(vis = 'uid___A002_X552607_Xa39.ms.split.cal',
  imagename = 'HCOp.clean',
  field = '4', # HD 100546
  spw = '1',
  mode = 'channel',
  nchan = 300,
  start = 1900,
  width = 1,
  interpolation = 'nearest',
  interactive = F,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 4,
  weighting = 'briggs',
  robust = 0.5,niter=20000,threshold='50mJy',mask=[95,95,165,165])

uvcontsub(vis='uid___A002_X552607_Xa39.ms.split.cal',fitspw='1:0~1850;2200~3839',fitorder=1,combine='',field='4',spw='1')
mv uid___A002_X552607_Xa39.ms.split.cal.contsub uid___A002_X552607_Xa39.ms.split.cal.contsub.spw1.source4


clean(vis = 'uid___A002_X552607_Xa39.ms.split.cal.contsub.spw1.source4',
  imagename = 'HCOp.clean.contsub',
  field = '0', # HD 100546
  spw = '0',
  mode = 'channel',
  nchan = 300,
  start = 1900,
  width = 1,
  interpolation = 'nearest',
  interactive = F,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 0,
  weighting = 'briggs',
  robust = 0.5,niter=20000,threshold='50mJy',mask=[95,95,165,165])
#rms = 17.7 mJy/b
#beam = 0.9" x 0.4" 

clean(vis = 'uid___A002_X552607_Xa39.ms.split.cal',
  imagename = 'SO87.clean',
  field = '4', # HD 100546
  spw = '2',
  mode = 'channel',
  nchan = 300,
  start = 1900,
  width = 1,
  interpolation = 'nearest',
  interactive = F,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 4,
  weighting = 'briggs',
  robust = 0.5,niter=20000,threshold='50mJy',mask=[95,95,165,165])

uvcontsub(vis='uid___A002_X552607_Xa39.ms.split.cal',fitspw='2:0~1850;2200~3839',fitorder=1,combine='',field='4',spw='2')
mv uid___A002_X552607_Xa39.ms.split.cal.contsub uid___A002_X552607_Xa39.ms.split.cal.contsub.spw2.source4


clean(vis = 'uid___A002_X552607_Xa39.ms.split.cal.contsub.spw2.source4',
  imagename = 'SO87.clean.contsub',
  field = '0', # HD 100546
  spw = '0',
  mode = 'channel',
  nchan = 500,
  start = 1900,
  width = 1,
  interpolation = 'nearest',
  interactive = F,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 0,
  weighting = 'briggs',
  robust = 0.5,niter=20000,threshold='50mJy',mask=[95,95,165,165])
#rms = 19.8 mJy/b
#beam = 0.9" x 0.4" 
clean(vis = 'uid___A002_X552607_Xa39.ms.split.cal.contsub.spw2.source4',
  imagename = 'SO87.clean.contsub.large',
  field = '0', # HD 100546
  spw = '0',
  mode = 'channel',
  nchan = 3000,
  start = 500,
  width = 1,
  interpolation = 'nearest',
  interactive = F,
  imsize = [256, 256],
  cell = '0.12arcsec',
  phasecenter = 0,
  weighting = 'briggs',
  robust = 0.5,niter=20000,threshold='50mJy',mask=[95,95,165,165])
#rms = 19.9 mJy/b
#beam = 0.9" x 0.4" 


#exportfits
exportfits(imagename='continuum.clean.image',fitsimage='continuum.clean.fits')
exportfits(imagename='CO32.clean.image',fitsimage='CO32.clean.fits')
exportfits(imagename='CO32.clean.contsub.image',fitsimage='CO32.clean.contsub.fits')
exportfits(imagename='HCOp.clean.image',fitsimage='HCOp.clean.fits')
exportfits(imagename='HCOp.clean.contsub.image',fitsimage='HCOp.clean.contsub.fits')
exportfits(imagename='SiO87.clean.image',fitsimage='SiO87.clean.fits')
exportfits(imagename='SiO87.clean.contsub.image',fitsimage='SiO87.clean.contsub.fits')
exportfits(imagename='SO87.clean.image',fitsimage='SO87.clean.fits')
exportfits(imagename='SO78.clean.contsub.image',fitsimage='SO87.clean.contsub.fits')
exportfits(imagename='SO78.clean.contsub.large.image',fitsimage='SO87.clean.contsub.large.fits')
